package main

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_createParamCmds(t *testing.T) {
	got := createParamCmds()
	assert.NotNil(t, got)
}

func Test_tuneCmd(t *testing.T) {
	got := tuneCmd()
	assert.NotNil(t, got)
}

func Test_listParamCmd(t *testing.T) {
	got := listParamCmd()
	assert.NotNil(t, got)
}

func Test_jobCmd(t *testing.T) {
	got := jobCmd()
	assert.NotNil(t, got)
}

func Test_deleteParamJobCmd(t *testing.T) {
	got := deleteParamJobCmd()
	assert.NotNil(t, got)
}

func Test_dumpCmd(t *testing.T) {
	got := dumpCmd()
	assert.NotNil(t, got)
}

func Test_checkDumpParam(t *testing.T) {
	var (
		dump = &DumpFlag{
			Name:   "aaa",
			Output: []string{},
			Force:  true,
		}
	)

	err := checkDumpParam(dump)
	assert.NotNil(t, err)
}

