package param

import (
	"github.com/stretchr/testify/assert"
	com "keentune/daemon/api/common"
	"testing"
)

func TestService_List(t *testing.T) {
	com.InitNodesTest()
	s := &Service{}
	flag := ""
	reply := new(string)
	err := s.List(flag, reply)
	assert.Nil(t, err)
}

func Test_walkAndShow(t *testing.T) {
	filePath := "/etc/keentune/keentuned/parameter/"
	match := ".json"
	paramHeader := "Parameter List"
	_, err := walkAndShow(filePath, match, paramHeader)
	assert.Nil(t, err)
}

func Test_showList(t *testing.T) {
	var list []string
	var header string
	ret := showList(list, header)
	assert.Empty(t, ret)
}
