package param

import (
	"github.com/stretchr/testify/assert"
	com "keentune/daemon/api/common"
	"keentune/daemon/common/config"
	"testing"
)

func TestService_Rollback(t *testing.T) {
	s := &Service{}
	flag := com.RollbackFlag{
		Cmd: "param",
	}
	reply := new(string)
	com.InitNodesTest()
	config.IsInnerApplyRequests = make([]bool, 4)
	err := s.Rollback(flag, reply)
	assert.Nil(t, err)
}
