/* 
* Copyright (c) 2021-2023 Alibaba Cloud Computing Ltd. 
* SPDX-License-Identifier: MulanPSL-2.0 
*/ 
package sensitize

import (
	com "keentune/daemon/api/common"
	"keentune/daemon/common/log"
)

type Service struct {
}

// Delete run sensitize delete service
func (s *Service) Delete(flag com.DeleteFlag, reply *string) error {
	defer func() {
		*reply = log.ClientLogMap[log.SensitizeDel]
		log.ClearCliLog(log.SensitizeDel)
	}()

	return com.RunTrainDelete(flag, reply)
}

