/*
* Copyright (c) 2021-2023 Alibaba Cloud Computing Ltd.
* SPDX-License-Identifier: MulanPSL-2.0

* Package main for cli, the package implements all the command-line functions of keentune, including dynamic and static tuning, sensitive parameter recognition. Determine whether the command-line parameters are compliant.
 */

package main

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_main(t *testing.T) {
	main()
	assert.Nil(t, nil)
}
