package profile

import (
	"github.com/stretchr/testify/assert"
	"keentune/daemon/api/common"
	"testing"
)

func TestService_Generate(t *testing.T) {
	var (
		flag = GenFlag{
			Name:   "cpu_high_load.conf",
			Output: "cpu_high_load.json",
			Force:  true,
		}
		reply = new(string)
	)
	s := &Service{}
	common.InitNodesTest()
	err := s.Generate(flag, reply)
	assert.Nil(t, err)
}

func TestResetValue(t *testing.T) {
	var (
		s        = new(string)
		newValue = "hello"
	)
	ResetValue(s, newValue)
	assert.Nil(t, nil)
}
